Bug 22222 - Can't start xfs
Summary: Can't start xfs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-13 14:33 UTC by K2
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 21:27:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description K2 2000-12-13 14:33:11 UTC
After recompiling and installation of XFree86 can't start X font server
get error:

_FontTransmkdir: Owner of /tmp/.font-unix should be set to root
FontCacheInitialize: hi=1048576, lo=786432, bal=70
xfs error: Element #1 (starting at 0) of font path is bad or has a bad
font:
"/usr/X11R6/lib/X11/fonts/misc:unscaled"
Abort 

The font path in config file 

# where to look for fonts
#
catalogue = /usr/X11R6/lib/X11/fonts/misc:unscaled,
        /usr/X11R6/lib/X11/fonts/75dpi:unscaled,
        /usr/X11R6/lib/X11/fonts/100dpi:unscaled,
        /usr/X11R6/lib/X11/fonts/misc,
        /usr/X11R6/lib/X11/fonts/Type1,
        /usr/X11R6/lib/X11/fonts/Speedo,
        /usr/X11R6/lib/X11/fonts/75dpi,
        /usr/X11R6/lib/X11/fonts/100dpi,
        /usr/share/fonts/default/Type1  

all directories exist

mkfontdir in /usr/X11R6/lib/X11/fonts/misc don't make big difference
But when I comment out 75dpi font path everything works fine

Comment 1 Karsten Hopp 2000-12-14 20:29:55 UTC
Can you check the size of the files in /usr/X11R6/lib/X11/fonts/75dpi/ please ?
It happened to me once that the files were empty after a recompile and
install. Each of these files usually has a size of 3-8 kb.

Comment 2 K2 2000-12-15 07:02:57 UTC
Sorry, but I already deleted all fonts and font server and reintalled them
again.
It solved the problem. 
I installed everything from recompiled rpm's and all fonts now have nonzero size


Note You need to log in before you can comment on or make changes to this bug.